Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.UserPreferences
Class ManageProfilesState

    java.lang.Object
      org.jasig.portal.channels.UserPreferences.BaseState
          org.jasig.portal.channels.UserPreferences.ManageProfilesState

All Implemented Interfaces:
  IChannel, IPrivileged, IPrivilegedChannel

     class ManageProfilesState

extends BaseState

CUserPreferences state for managing profiles

Version:
  $Revision: 1.50 $
Author:
  Peter Kharchenko, peterk@interactivebusiness.com

Nested Class Summary
`protected class` | `ManageProfilesState.CEditProfile`

Field Summary
`(package private) static boolean` | `ALLOW_NEW_PROFILE_BUTTON`
`(package private) static boolean` | `ALLOW_SYSTEM_BROWSER_MAPPING`
`(package private) static boolean` | `ALLOW_USER_PROFILES`
`private static boolean` | `DEFAULT_ALLOW_NEW_PROFILE_BUTTON` Default value for ALLOW_NEW_PROFILE_USER_BUTTON.
`private static boolean` | `DEFAULT_ALLOW_SYSTEM_BROWSER_MAPPING` Default value for ALLOW_SYSTEM_BROWSER_MAPPING.
`private static boolean` | `DEFAULT_ALLOW_USER_PROFILES` Default value for ALLOW_USER_PROFILES.
`private static org.apache.commons.logging.Log` | `log`
`protected ChannelRuntimeData` | `runtimeData`
`protected java.util.Hashtable` | `systemExpandStates`
`protected java.util.Hashtable` | `systemProfileList`
`(package private) IUserLayoutStore` | `ulsdb`
`protected java.util.Hashtable` | `userExpandStates`
`protected java.util.Hashtable` | `userProfileList`

Fields inherited from class org.jasig.portal.channels.UserPreferences.BaseState
`context, internalState`

Constructor Summary
`ManageProfilesState(CUserPreferences context)`

Method Summary
`private IPerson` | `getPerson()`
`private StylesheetSet` | `getStylesheetSet()`
`protected java.util.Hashtable` | `getSystemProfileList()`
`private IUserLayoutStore` | `getUserLayoutStore()`
`protected java.util.Hashtable` | `getUserProfileList()`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.

Methods inherited from class org.jasig.portal.channels.UserPreferences.BaseState
`getRuntimeProperties, receiveEvent, setContext, setPortalControlStructures, setState, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### DEFAULT_ALLOW_USER_PROFILES

    private static final boolean DEFAULT_ALLOW_USER_PROFILES

  Default value for ALLOW_USER_PROFILES. This value will be used when the relevant property cannot be accessed.

  See Also:
    Constant Field Values

### DEFAULT_ALLOW_SYSTEM_BROWSER_MAPPING

    private static final boolean DEFAULT_ALLOW_SYSTEM_BROWSER_MAPPING

  Default value for ALLOW_SYSTEM_BROWSER_MAPPING. This value will be used when the relevant property cannot be accessed.

  See Also:
    Constant Field Values

### DEFAULT_ALLOW_NEW_PROFILE_BUTTON

    private static final boolean DEFAULT_ALLOW_NEW_PROFILE_BUTTON

  Default value for ALLOW_NEW_PROFILE_USER_BUTTON. This value will be used when the relevant property cannot be accessed.

  See Also:
    Constant Field Values

### userProfileList

    protected java.util.Hashtable userProfileList

### systemProfileList

    protected java.util.Hashtable systemProfileList

### userExpandStates

    protected java.util.Hashtable userExpandStates

### systemExpandStates

    protected java.util.Hashtable systemExpandStates

### runtimeData

    protected ChannelRuntimeData runtimeData

### ulsdb

    IUserLayoutStore ulsdb

### ALLOW_USER_PROFILES

    static final boolean ALLOW_USER_PROFILES

### ALLOW_SYSTEM_BROWSER_MAPPING

    static final boolean ALLOW_SYSTEM_BROWSER_MAPPING

### ALLOW_NEW_PROFILE_BUTTON

    static final boolean ALLOW_NEW_PROFILE_BUTTON

Constructor Detail

### ManageProfilesState

    public ManageProfilesState(CUserPreferences context)

Method Detail

### getUserProfileList

    protected java.util.Hashtable getUserProfileList()
                                              throws PortalException

  Throws:
    `PortalException`

### getSystemProfileList

    protected java.util.Hashtable getSystemProfileList()
                                                throws PortalException

  Throws:
    `PortalException`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseState`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### getPerson

    private IPerson getPerson()

### getStylesheetSet

    private StylesheetSet getStylesheetSet()

### getUserLayoutStore

    private IUserLayoutStore getUserLayoutStore()
                                         throws PortalException

  Throws:
    `PortalException`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseState`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD